Extension, Module

Developer
Supported

Smart Members PRO

ExpressionEngine 2, ExpressionEngine 4, ExpressionEngine 5, ExpressionEngine 6

Back to this add-on's main page
View Other Add-ons From ZealousWeb

     

You must be logged in to post.

Deprecated message in CP

Support Request

Werner Gusset
Werner Gusset

HI

I updated a EE 2 site to EE 5.4 with all the Add-ons in latest version. Everything seems to work. Only, I see in the EE cp when I am logged in on top of the page this message. How serious is it?

Deprecated
Unparenthesized 
`a ? b : c ? d : eis deprecated. Use either `(a ? b : c) ? d : e` or `a ? b : (c ? d : e)`
user/addons/smart_members/libraries/sm_lib.phpline 251

Severity
E_DEPRECATED
Deprecated
Unparenthesized 
`a ? b : c ? d : eis deprecated. Use either `(a ? b : c) ? d : e` or `a ? b : (c ? d : e)`
user/addons/smart_members/libraries/sm_lib.phpline 306

Severity
E_DEPRECATED 

Werner

ZealousWeb
# 1
Developer
ZealousWeb

Hello Werner Gusset,

Thank you for contacting us.

We had tested this add-on on PHP 7.3. So we had not faced this deprecated warning.

Then, we have checked this add-on for PHP 7.4 and we have got the same deprecated warning and we have solved it with compatible code. 

We have deployed the 4.0.3 version of the add-on. Please check download latest version and check it.

FYI, This type of code (Unparenthesized in the ternary operator) is deprecated from PHP 7.4 and it may give a fatal error from PHP8.

Let us know if you have any queries.

Thanks
—————
Bhavin

Werner Gusset
# 2
Werner Gusset

Thank you, Bhavin
Now it’s OK.

Werner

Cricky
# 3
Cricky

Can you also update download files on your website please? Its still 4.0.0 and thats where i purchased.

ZealousWeb
# 4
Developer
ZealousWeb

Hello Cricky,

We have deployed the latest version of this addon to our store.

Thank you for letting us know.

Bhavin